ActiveMQConnectionForContextImpl (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.client

## Class ActiveMQConnectionForContextImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQConnectionForContextImpl

- All Implemented Interfaces:
    AutoCloseable, javax.jms.Connection, ActiveMQConnectionForContext
  Direct Known Subclasses:
    ActiveMQConnection

      public abstract class ActiveMQConnectionForContextImpl
      extends Object
      implements ActiveMQConnectionForContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ThreadAwareContext` | `threadAwareContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQConnectionForContextImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeFromContext()`
    `javax.jms.JMSContext` | `createContext(int sessionMode)`
    `javax.jms.XAJMSContext` | `createXAContext()`
    `ThreadAwareContext` | `getThreadAwareContext()`
    `protected void` | `incrementRefCounter()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Connection

      `close, createConnectionConsumer, createDurableConnectionConsumer, createSession, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

- - ### Field Detail

    - #### threadAwareContext

          protected final ThreadAwareContext threadAwareContext

  - ### Constructor Detail

    - #### ActiveMQConnectionForContextImpl

          public ActiveMQConnectionForContextImpl()

  - ### Method Detail

    - #### createContext

          public javax.jms.JMSContext createContext(int sessionMode)

      Specified by:
        `createContext` in interface `ActiveMQConnectionForContext`

    - #### createXAContext

          public javax.jms.XAJMSContext createXAContext()

      Specified by:
        `createXAContext` in interface `ActiveMQConnectionForContext`

    - #### closeFromContext

          public void closeFromContext()

      Specified by:
        `closeFromContext` in interface `ActiveMQConnectionForContext`

    - #### incrementRefCounter

          protected void incrementRefCounter()

    - #### getThreadAwareContext

          public ThreadAwareContext getThreadAwareContext()

Copyright © 2015. All rights reserved.